﻿using System;
using Android.Media;

namespace android
{
	public class ImageUtils
	{
		public static int RotationOfImage(string path) 
		{
			var imgFile = new ExifInterface(path);
			var rotation = (Orientation) imgFile.GetAttributeInt (ExifInterface.TagOrientation, 0xFFFF);
			switch (rotation) {
			case Orientation.Rotate90:
				return 90;
			case Orientation.Rotate180:
				return 180;
			case Orientation.Rotate270:
				return 270;
			case Orientation.Normal:
				return 0;
			default:
				return 0;
			}
		}
	}
}

